読者です 読者をやめる 読者になる 読者になる

radio_buttonを選択するヘルパー

date_selectに入力するヘルパー

ssl_requirementとrender_componentでstack level too deep

運用中のサイトにSSLを導入することになり、ssl_requirementを使ってみたらstack level too deepになってしまいました。 render_componentで読んだ先でもssl_requirementのbefore_filterがかかってしまうようで、http://にリダイレクトさせようとしているみ…

Factory Girlでwith_options

Factory Girlを使ってみようと勉強中です。で、:class =>とか:parent =>とか毎回書くの面倒だなーと思って、 試しにwith_optionsを使ってみたら動きました。 Factory.define :user1, :class => User do |u| u.name 'ユーザ1' end Factory.define :user2, :cl…

ActiveRecord::Errors.default_error_messages has been deprecated

昔作ったバリデーションのプラグインを今作っているアプリに組み込んだら、 DEPRECATION WARNING: ActiveRecord::Errors.default_error_messages has been deprecated. Please use I18n.translate('activerecord.errors.messages').. というメッセージが。 A…